/*
    Robot Interface
    (C) 2006 Jason Hunt
    nulluser@gmail.com
    
    File: display.h
*/

#ifndef DISPLAY_H
#define DISPLAY_H

#include <windows.h>
#include "types.h"

#define MAX_LINE    200

#define font_x_size 8            // Font size in pixels
#define font_y_size 16           // Font y_size in pixels

#define text_row  12              // / font_y_size)              // Nuumber of text rows

void do_paint(HWND hwnd);
void update_display(HWND hwnd);
void setup_display( HWND hwnd );
void resize_display(HWND hwnd, LPARAM l);

void add_line(char *);         // Add a line of text

void display_start( void );

extern unsigned int display_x;
extern unsigned int display_y;


#endif

